apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: victoriametrics
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  sources:
    - chart: victoria-metrics-k8s-stack
      repoURL: https://victoriametrics.github.io/helm-charts/
      targetRevision: 0.18.8
      helm:
        values: |
          fullnameOverride: vmmon
          victoria-metrics-operator:
            operator:
              prometheus_converter_add_argocd_ignore_annotations: true
              enable_converter_ownership: true
              useCustomConfigReloader: true
              disable_prometheus_converter: false
          defaultRules:
            rules:
              etcd: false
          vmsingle:
            spec:
              retentionPeriod: 93d
              removePvcAfterDelete: true
              storage:
                accessModes:
                  - ReadWriteOnce
                volumeMode: Filesystem
                resources:
                  requests:
                    storage: 50Gi
                storageClassName: local-path
          grafana:
            enabled: false
          kubeEtcd:
            enabled: false
  destination:
    namespace: victoriametrics
    server: https://kubernetes.default.svc
  project: system
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
      - ServerSideApply=true
